diff mbox

darwin: support recent versions of dyld

Message ID 3297B262-2426-45AB-B26D-FE62E115615D@adacore.com
State Committed
Headers show

Commit Message

Tristan Gingold March 17, 2014, 1:08 p.m. UTC
Hi,

this patchlet increases DYLD_VERSION_MAX to support the most recent version
of dyld (dynamic linker).  Also, a warning is now emitted if dyld version
isn't supported.

Committed on trunk.

Tristan.

gdb/
        * solib-darwin.c (DYLD_VERSION_MAX): Increase value.
        (darwin_solib_create_inferior_hook): Emit a warning if version
        is unhandled.
diff mbox

Patch

diff --git a/gdb/solib-darwin.c b/gdb/solib-darwin.c
index e8d4667..a9989ea 100644
--- a/gdb/solib-darwin.c
+++ b/gdb/solib-darwin.c
@@ -70,7 +70,7 @@  struct gdb_dyld_all_image_infos
 
 /* Current all_image_infos version.  */
 #define DYLD_VERSION_MIN 1
-#define DYLD_VERSION_MAX 12
+#define DYLD_VERSION_MAX 14
 
 /* Per PSPACE specific data.  */
 struct darwin_info
@@ -513,7 +513,10 @@  darwin_solib_create_inferior_hook (int from_tty)
   darwin_load_image_infos (info);
 
   if (!darwin_dyld_version_ok (info))
-    return;
+    {
+      warning (_("unhandled dyld version (%d)"), info->all_image.version);
+      return;
+    }
 
   create_solib_event_breakpoint (target_gdbarch (), info->all_image.notifier);